<?php

/**
 * @author Manish Kumar
 */
header('Content-Type: application/json; charset=utf-8');
require_once '../config/init.php';
if (Input('submit') == 'list') {
	$db->join(TABLE_CAT, '' . TABLE_CAT . '.id=' . TABLE_FILES . '.cid', "INNER");
	$searchValue = dtsValue();
	if ($searchValue) {
		$db->where(TABLE_FILES . '.name', '%' . $searchValue . '%', 'LIKE');
	}
	if (Input('order')) {
		$column = dtOrderby();
		if ($column == 2)
			$db->orderBy(TABLE_FILES . '.name', dtOrderby(false));
		else if ($column == 6)
			$db->orderBy(TABLE_FILES . '.download', dtOrderby(false));
		else if ($column == 7)
			$db->orderBy(TABLE_FILES . '.pos', dtOrderby(false));
		else {
			$db->orderBy(TABLE_FILES . '.id', dtOrderby(false));
		}
	} else {
		$db->orderBy(TABLE_FILES . '.pos', 'ASC');
		$db->orderBy(TABLE_FILES . '.id');
	}
	if (Input('parentid')) {
		$db->where(TABLE_FILES . '.cid', Input('parentid'));
	}
	$selectData = TABLE_FILES . '.*,' . TABLE_CAT . '.name as category_name,' . TABLE_CAT . '.folder';

	if (Input('length') != -1) {
		$files = $db->withTotalCount()->get(TABLE_FILES, array(dtlimit(), dtlimit(false)), $selectData);
	} else {
		$files = $db->withTotalCount()->get(TABLE_FILES, null, $selectData);
	}
	$numRows = $db->totalCount;
	$data = array();
	$size = explode(',', FILE_THUMB_SIZES);

	foreach ($files as $file) {
		$row = array();
		$action = '';
		if ($file['thumb'] != "") {
			$thumb = '<img class="border border-dark" src="../../' . $file['folder'] . $size[0] . '/' . $file['thumb'] . '" alt="Icon" width="60" height="60">';
		} else {
			$thumb = '';
		}
		$action .= '<a href="edit.php?id=' . $file['id'] . '" class="btn btn-success btn-sm">Edit</a><button type="button" name="delete" id="' . $file["id"] . '" class="delete btn btn-danger btn-sm m-2">Delete</button>';
		$row[] = $file['id'];
		$row[] = $thumb;
		$row[] = $file['name'];
		$row[] = '<a href="?cid=' . $file['cid'] . '">' . $file['category_name'] . '</a>';
		$row[] = strtoupper($file['ext']);
		$row[] = formatSize($file['size']);
		$row[] = $file['download'];
		$row[] = $file['pos'];
		$row[] = ($file['status'] == true) ? '<span id="' . $file['id'] . '" class="status btn btn-success btn btn-sm m-2">Active</span>' : '<span id="' . $file['id'] . '" class="status btn btn-warning btn-sm m-2">Block</span>';
		$row[] = $action;
		$data[] = $row;
	}
	$output = array(
		"draw"				=>	intval(Input('draw')),
		"recordsTotal"  	=>  $numRows,
		"recordsFiltered" 	=> 	$numRows,
		"data"    			=>   $data
	);
	echo json_encode($output);
} elseif (Input('submit') == "statusUpdater") {

	$id = Input('id');
	$status = $db->where('id', $id)->getValue(TABLE_FILES, 'status');

	if ($status == 1) {
		$data = ['status' => 0];
	} else {
		$data = ['status' => 1];
	}
	$db->where('id', $id)->update(TABLE_FILES, $data);
	echo json_encode([
		'status' => 1,
		'message' => 'Status Updated'

	]);
} elseif (Input('submit') == "delete") {

	$id = Input('id');
	$file = $db->where('id', $id)->getOne(TABLE_FILES);
	$category = $db->where('id', $file['cid'])->getOne(TABLE_CAT);

	if (!$category && !$file) {
		echo json_encode([
			'status' => 2,
			'message' => 'Delete File'

		]);
		exit;
	}

	$parentids = array_filter(explode('/', $category['folder']));
	array_shift($parentids);
	if ($parentids) {
		$db->where('id', $parentids, 'IN')->update(TABLE_CAT, ['totalitem' => $db->dec(1)]);
	}

	$extension = pathinfo($file['dname'], PATHINFO_EXTENSION);
	$filename = $extension ? $file['dname'] : $file['dname'] . '.' . $file['ext'];
	$Path = $RootPath . '/' . $category['folder'] . $filename;
	$thumbname = $file['thumb'];
	if ($thumbname) {
		$appsizes = explode(',', FILE_THUMB_SIZES);
		foreach ($appsizes as $wh) {
			$Imgwh = explode('x', $wh);
			$ImgDir =  $RootPath . '/' . $category['folder'] . $wh;
			if (file_exists($ImgDir . '/' . $thumbname))
				unlink($ImgDir . '/' . $thumbname);
		}

		$cover = $RootPath . '/' . $category['folder'] . MP3TAG_COVER . '/cover_' . pathinfo($thumbname, PATHINFO_FILENAME) . '.jpg';
		if (file_exists($cover)) {
			unlink($cover);
		}
	}
	if (file_exists($Path)) {
		unlink($Path);
	}

	$db->where('id', $id)->delete(TABLE_FILES);
	echo json_encode([
		'status' => 1,
		'message' => 'Deleted Successfuly'

	]);
} else if (Input('submit') == "removethumb") {
	if ($id = Input('id')) {
		$file =  $db->where('id', $id)->getOne(TABLE_FILES);
		$category = $db->where('id', $file['cid'])->getOne(TABLE_CAT);

		$thumbname = $file['thumb'];
		if ($thumbname) {
			$appsizes = explode(',', FILE_THUMB_SIZES);
			foreach ($appsizes as $wh) {
				$Imgwh = explode('x', $wh);
				$ImgDir =  $RootPath . '/' . $category['folder'] . $wh;
				if (file_exists($ImgDir . '/' . $thumbname))
					unlink($ImgDir . '/' . $thumbname);
			}
			$cover = $RootPath . '/' . $category['folder'] . MP3TAG_COVER . '/cover_' . pathinfo($thumbname, PATHINFO_FILENAME) . '.jpg';
			if (file_exists($cover)) {
				unlink($cover);
			}
		}
		$db->where('id', $id)->update(TABLE_FILES, ['thumb' => '']);
	}
	echo json_encode([
		'status' => 1,
		'message' => 'Thumbnail Removed'

	]);
} elseif (Input('submit') == "slugcheck") {

	$id = Input('id');
	$slug = Input('slug');
	$slug = genSlug($slug, $id);

	echo json_encode([
		'status' => 1,
		'slug' => $slug,
	]);
} else if (Input('submit') == 'tagsartist') {
	$tag = Input('term');

	if ($tag) {
		$db->where('name', '%' . $tag . '%', 'LIKE');
	}
	$data = $db->get("artist", null, 'name');
	$tags = array();
	foreach ($data as $d) {
		array_push($tags, $d['name']);
	}
	echo json_encode($tags);
} else if (Input('submit') == "multipledelete") {
	$ids = Input('ids');
	$cnt = 0;
	if ($ids) {
		foreach ($ids as $id) {
			if ($id) {
				$file = $db->where('id', $id)->getOne(TABLE_FILES);
				if (!$file) {
					continue;
				}
				$category = $db->where('id', $file['cid'])->getOne(TABLE_CAT);
				if (!$category) {
					continue;
				}
				$parentids = array_filter(explode('/', $category['folder']));
				array_shift($parentids);
				if ($parentids) {
					$db->where('id', $parentids, 'IN')->update(TABLE_CAT, ['totalitem' => $db->dec(1)]);
				}
				$extension = pathinfo($file['dname'], PATHINFO_EXTENSION);
				$filename = $extension ? $file['dname'] : $file['dname'] . '.' . $file['ext'];
				$Path = $RootPath . '/' . $category['folder'] . $filename;
				$thumbname = $file['thumb'];
				if ($thumbname) {
					$appsizes = explode(',', FILE_THUMB_SIZES);
					foreach ($appsizes as $wh) {
						$Imgwh = explode('x', $wh);
						$ImgDir =  $RootPath . '/' . $category['folder'] . $wh;
						if (file_exists($ImgDir . '/' . $thumbname))
							unlink($ImgDir . '/' . $thumbname);
					}

					$cover = $RootPath . '/' . $category['folder'] . MP3TAG_COVER . '/cover_' . pathinfo($thumbname, PATHINFO_FILENAME) . '.jpg';
					if (file_exists($cover)) {
						unlink($cover);
					}
				}
				if (file_exists($Path)) {
					unlink($Path);
				}

				if ($db->where('id', $id)->delete(TABLE_FILES))
					$cnt++;
			}
		}

		echo json_encode([
			'status' => 1,
			'message' => 'Total ' . $cnt . ' Deleted Successfuly'

		]);
		exit;
	}

	echo json_encode([
		'status' => 0,
		'message' => 'No Item Selected'

	]);
} else if (Input('submit') == "MoveFiles") {
	$ids = Input('ids');
	$targetid = Input('targetId');
	if (!$ids || !$targetid) {
		echo json_encode([
			'status' => 0,
			'message' => 'No Item Selected or Target Category Id Missing'

		]);
		exit;
	}
	$catinfo = $db->where('id',$targetid)->getOne(TABLE_CAT);

    if(!$catinfo){
		echo json_encode([
			'status' => 0,
			'message' => 'Target Category Not Found'

		]);
		exit;
	}

	if($catinfo['subcate']!=0){
		echo json_encode([
			'status' => 0,
			'message' => 'Target Category are not a Child'

		]);
		exit;
	}
	
	$cnt = 0;
	foreach ($ids as $id) {
		if ($id) {
			$file = $db->where('id', $id)->getOne(TABLE_FILES);
			if (!$file) {
				continue;
			}
			$category = $db->where('id', $file['cid'])->getOne(TABLE_CAT);
			if (!$category) {
				continue;
			}

            if($targetid==$category['id']){
			continue;
			}

			$parentids = array_filter(explode('/', $category['folder']));
			array_shift($parentids);
			if ($parentids) {
				$db->where('id', $parentids, 'IN')->update(TABLE_CAT, ['totalitem' => $db->dec(1)]);
			}

			$extension = pathinfo($file['dname'], PATHINFO_EXTENSION);
			$filename = $extension ? $file['dname'] : $file['dname'] . '.' . $file['ext'];
			$Path = $RootPath . '/' . $category['folder'] . $filename;
			$NewSavePath = $RootPath . '/' . $catinfo['folder'] . $filename;
			if (file_exists($Path)) {
				rename($Path,$NewSavePath);
			}
			$thumbname = $file['thumb'];
			if ($thumbname) {
				$appsizes = explode(',', FILE_THUMB_SIZES);
				foreach ($appsizes as $wh) {
					$Imgwh = explode('x', $wh);
					$ImgDir =  $RootPath . '/' . $category['folder'] . $wh;
					$ThumbSavePath = $RootPath . '/' . $catinfo['folder'] . $wh;
					if (!is_dir($ThumbSavePath)){
					mkdir($ThumbSavePath);
					}
					if (file_exists($ImgDir . '/' . $thumbname)){
					rename($ImgDir . '/' . $thumbname,$ThumbSavePath.'/'.$thumbname);
					}
				}
                $covername = pathinfo($thumbname, PATHINFO_FILENAME) . '.jpg';
				$cover = $RootPath . '/' . $category['folder'] . MP3TAG_COVER . '/cover_' .$covername;
				$coverSaveNew = $RootPath . '/' . $catinfo['folder'] . MP3TAG_COVER . '/cover_' .$covername;
				if (file_exists($cover)) {
					rename($cover,$coverSaveNew);
				}
			}
			$parentidsinc = array_filter(explode('/', $catinfo['folder']));
			array_shift($parentidsinc);
			if ($parentidsinc) {
				$db->where('id', $parentidsinc, 'IN')->update(TABLE_CAT, ['totalitem' => $db->inc(1)]);
			}
			if($db->where('id',$id)->update(TABLE_FILES,['cid'=>$targetid]))
			$cnt++;
		}
	}

	echo json_encode([
		'status' => 1,
		'message' => 'Total ' . $cnt . ' Moved Successfuly'

	]);
	exit;
}else if (Input('submit') == "importfromyoutube") {
	$query = Input('query');
	if (empty($query)) {
		echo json_encode(['status' => 0, 'message' => 'Please Enter Youtube Video URL']);
		exit;
	}
	$request = cURLPOST('http://kpbhost.com/envato/youtube.php', ['video_id' => $query, 'domain' => APP_URL]);
	if ($request) {
		if ($request['status'] == "1") {
			$video = [
				'title' => $request['data']['title'],
				'url' => $request['data']['url'],
				'thumb' => $request['data']['thumb'],
			];
			echo json_encode(['status' => 1, 'message' => $request['message'], 'data' => $video]);
			exit;
		} else {
			echo json_encode(['status' => 0, 'message' => $request['message']]);
			exit;
		}
	} else {
		echo json_encode(['status' => 0, 'message' => 'Server not connect to HOST URL']);
		exit;
	}
}
