<!DOCTYPE html>
<html lang="en">

<head>
    <?php require_once realpath(__DIR__ . '/../widget/head.php'); ?>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="yandex-verification" content="3f1a164f117b9595" />
    <title><?php echo $title; ?></title>
    <link rel="canonical" href="<?php echo $AppProtocol . $request_path ?>">
    <?php if ($AmpURL) : ?>
<link rel="amphtml" href="<?php echo $AmpURL; ?>">
    <meta name="googlebot" content="index, follow" />
    <meta name="googlebot-news" content="snippet" />
    <meta name="robots" content="index, follow" />
    <meta name="language" content="en">
    <meta name="distribution" content="global" />
    <meta name="rating" content="General" >
    <meta name="expires" content="never"/>
    <meta name="theme-color" content="#343a40">
    <?php endif; ?>
    <?php if ($schema) : ?>
        <script type="application/ld+json">
<?php echo json_encode($schema); ?>
        </script>
    <?php endif; ?>
    <!-- Webmaster Seo Tag -->
    <meta name="title" content="<?php echo $title; ?>">
    <meta name="description" content="<?php echo $metadescription; ?>">
    <meta name="keywords" content="<?php echo $metakeywords; ?>">
    <meta name="robots" content="<?php echo $metarobots; ?>">
    <!-- Open Graph Meta Tag -->
    <meta property="og:url" content="<?php echo $AppProtocol . $request_path ?>">
    <meta property="og:type" content="article">
    <meta property="og:title" content="<?php echo $title; ?>">
    <meta property="og:description" content="<?php echo $metadescription; ?>">
    <meta property="og:image" content="<?php echo $metaogimage; ?>">
    <meta property="og:site_name" content="<?=APP_NAME?>" />
    <meta name="twitter:card" content="summary" />
    <meta name="twitter:url" content="<?php echo $AppProtocol . $request_path?>/>
    <meta name="twitter:site" content="@<?=APP_NAME?>"/>
    <meta name="twitter:title" content="<?php echo $title; ?>"/>
    <meta name="twitter:description" content="<?php echo $metadescription; ?>" />
    <meta name="twitter:image" content=/images/logo.png" />
    <!-- Fevicons -->
    <link rel="apple-touch-icon" sizes="180x180" href="/assets/images/apple-touch-icon.png">
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/favicon.ico" type="image/x-icon">
    <link rel="sitemap" href="/sitemap.xml" title="<?=APP_NAME?> Sitemap"/>
    <link rel="dns-prefetch" href="<?php echo $AppProtocol . $request_path ?>" />

   
    <style>
        body {
            color: #000;
            font-family: verdana, "Comic Sans MS", Helvetica, sans-serif;
            margin: 0;
            padding: 0;
            font-size: small;
            line-height: 20px;
        }

        body * {
            margin: 0;
        }

        a img,
        :link img,
        :visited img {
            border: none;
        }

        a {
            text-decoration: none;
            color: #404951;
            padding: 5px;
        }

        a:hover {
            text-decoration: none;
        }

        body,
        td {
            margin: 0;
            padding: 0;
            font-size: small;
        }

        b {
            font-weight: bold;
        }

        input,
        select {
            padding: 2px;
        }

        textarea {
            font-size: small;
        }


        input,
        select {
            padding: 2px
        }

        .tCenter {
            text-align: center
        }

        header {
            background: #FF5500;
            padding: 9px;
            text-align: center
        }

        .search {
            background: #eee;
            text-align: center;
            padding: 5px
        }

        .search input[type=submit] {
            background-color: #FF5500;
            color: #fff;
            border: none;
            border-radius: 4px;
            padding: 7px;
            margin-left: 10px;
            font-weight: 700;
            width: 60px
        }

        .fileName .ar {
            color: green;
        }

        .search input[type=text] {
            padding: 8px;
            width: 45%;
            border-radius: 5px
        }

        h1,
        h2,
        h3 {
            background: #FF5500;
            color: #fff;
            text-align: center;
            font-size: 110%;
            padding: 8px;
            border-top: 0px solid #CE3E51;
            border-bottom: 0px solid #CE3E51;
            text-shadow: 1px 1px 1px #000;
        }

        h2 a {
            color: #ffffff;
        }

        h3 {
            text-align: left;
        }

        .even,
        .odd,
        .sl {
            vertical-align: middle
        }

        .odd {
            background: #f5f5fa
        }

        .fl a {
            vertical-align: middle
        }

        .fl img {
            border: 1px solid #bbb;
            padding: 1px
        }

        .fl div {
            display: table-cell;
            vertical-align: middle
        }

        p {
            padding: 2px 0
        }

        .updates div {
            padding: 9px;
            border-bottom: 1px solid #dedede;
            font-weight: bold;
        }

        .fi {
            font-weight: 700
        }

        .fileName {
            font-weight: 700
        }

        .fileName span {
            color: #555;
            text-decoration: none
        }

        .fileName img {
            padding-right: 3px
        }

        .dwnLink1 {
            background: #f43d00;
            font-weight: bold;
            border-radius: 10px;
            box-shadow: 1px 1px 0 #555;
            color: #fff;
            display: inline-block;
            margin: 2px;
            padding: 5px;
            text-shadow: 1px 1px 0 #000;
            width: 160px;
        }

        .dwnLink1 a {
            color: #fff
        }

        img {
            vertical-align: middle
        }

        .catRow,
        .catRowHome {
            border-top: 1px solid #ddd;
            font-weight: 700
        }

        .catRow a,
        .catRowHome a {
            display: block;
            font-weight: 700;
            padding: 9px
        }

        .fl {
            border-bottom: 1px solid #ddd;
            background: #fff
        }

        .fl:hover {
            background: #f5f5f5
        }

        .fl span {
            font-weight: 400
        }

        .fl a {
            display: block;
            padding: 8px
        }

        .fl a img {
            padding: 0;
            margin-right: 5px
        }

        .fl a div div {
            vertical-align: middle;
            display: table-cell
        }

        .path {
            border-bottom: 1px dashed #bbb;
            font-weight: 700;
            background: #ddd;
            border-top: 1px solid #ccc;
            padding: 5px;
            line-height: 20px
        }

        .fhd {
            background: #f4f4f4;
            color: #555;
            border-bottom: 1px solid #ccc;
            border-radius: 5px;
            font-weight: 700;
            margin: 7px 0 0 0;
            padding: 0 5px;
            display: inline-block
        }

        .showimage {
            padding: 9px
        }

        .absmiddle {
            border: 1px solid #999;
            padding: 1px;
            box-shadow: 0 0 2px #999
        }

        .tag {
            background-color: #fff;
            padding: 7px;
            border: 1px solid #ddd;
            line-height: 1.7;
            margin-top: 1px;
            margin-bottom: 1px;
            font-size: 11px;
            text-align: justify
        }

        .audio-player {
            text-align: center;
            margin: 10px
        }

        .az {
            text-align: center;
            padding: 10px;
            background: #dedede
        }

        .az a {
            border: 1px solid red;
            padding: 2px 6px;
            margin: 2px;
            display: inline-block;
            background: #fff;
            border-radius: 3px;
            text-decoration: none;
            font-weight: 700
        }

        .artist {
            font-weight: 700;
            color: #00f
        }

        footer {
            background: #FF5500;
            padding: 9px;
            border-bottom: 2px solid red;
            color: #fff;
            font-weight: 700;
            text-align: center
        }

        footer a {
            color: #fff
        }

        .pgn {
            text-align: center;
            padding-top: 10px;
            background: #eee;
        }

        .pgn a,
        .pgn span {
            border: 1px solid #ccc;
            padding: 2px 5px;
            margin: 0 2px;
            background: #ddd;
            -moz-border-radius: 3px;
            -webkit-border-radius: 3px;
            border-radius: 3px;
            text-decoration: none;
            font-weight: bold;
        }

        .pgn a:hover,
        .pgn span {
            background: #ddd;
            border-color: #ddd;
        }

        .pgn div {
            padding-top: 5px;
        }
    </style>
    <script type="text/javascript" src="https://platform-api.sharethis.com/js/sharethis.js#property=629b08d9d27ea50019c17e81&product=inline-share-buttons" async="async"></script>
</head>

<body>
    <!-- Logo -->
    <header>
       <div class="logo"><a href="<?php echo APP_URL; ?>">
          <font size="6" color="white"> <?=APP_NAME?></font></a></div>
    </header>
    <!-- END LOGO -->
    <?php include(getAds($AdsPath . '/all_page_top')); ?>
    <!-- Search -->
    <div class="search">
        <form action="<?php echo APP_URL . '/search/list'; ?>">
            <input type="text" name="q" size="40" placeholder="Search Song, Artist Album" maxlength="1400" value="<?php echo isset($searchq) ? $searchq : ''; ?>">
            <input type="submit" value="Song" name="search" class="btn-search">
            <input type="submit" value="Artist" name="search" class="btn-search">
        </form>
    </div>
    <!-- END SEARCH -->